# -*- coding: utf-8 -*-

from typing import Callable, Optional

from fastapi import FastAPI

from app.controllers.equipment.events import (
    regulate_ahu_freq,
    regulate_ahu_switch,
    regulate_pau_switch,
    regulate_ventilation_fan_switch,
    run_control_group
)
from app.controllers.events import load_q_learning_model


def create_start_app_handler(app: Optional[FastAPI] = None) -> Callable:
    async def start_app() -> None:
        await load_q_learning_model()
        await regulate_ahu_freq()
        await regulate_ahu_switch()
        # await regulate_pau_switch()
        await regulate_ventilation_fan_switch()
        # await run_control_group()

    return start_app
