from enum import Enum
from typing import Dict

from pydantic import BaseModel


class ThermalMode(str, Enum):
    cooling = 'cooling'
    heating = 'heating'
    hold = 'hold'


class DevicesInstructionsBaseResponse(BaseModel):
    projectId: str
    equipId: str
    output: Dict


class DevicesEarlyStartTime(BaseModel):
    projectId: str
    spaceId: str
    minutes: float


class ACATVIInstructionsRequest(BaseModel):
    projectId: str
    equipId: str
    spaceTempTarget: float
    spaceRealTimeTemp: float
