from typing import List, Optional

from pydantic import BaseModel

from app.schemas.equipment import AHU, FCU, VAVBox
from app.services.transfer import Season


class ThermalComfortDiagnosisRequest(BaseModel):
    realtimeTemp: float
    targetTemp: float
    season: Season
    duration_minutes: float
    fcu: Optional[List[FCU]]
    vav: Optional[List[VAVBox]]
    ahu: Optional[AHU]


class ThermalComfortDiagnosisResponse(BaseModel):
    pass
